import 'package:json_annotation/json_annotation.dart';

part 'PhoneInfo.g.dart';

@JsonSerializable()
class PhoneInfo {
  PhoneInfo(this.id, this.phone, this.image,this.icon);
  int id;
  String phone;//手机型号
  String image;//图标
  String icon;//icon
  factory PhoneInfo.fromJson(Map<String, dynamic> json) =>
      _$PhoneInfoFromJson(json);

  Map<String, dynamic> toJson() => _$PhoneInfoToJson(this);
  // 命名构造函数
  PhoneInfo.empty();
  @override
  String toString() {
    return _$PhoneInfoToJson(this).toString();
  }
}
